<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.nantian.cloud.jly.mapper.CheckVerdictMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.nantian.cloud.jly.entity.CheckVerdict">
        <id column="id" property="id" />
        <result column="check_plan_id" property="checkPlanId" />
        <result column="epc" property="epc" />
        <result column="check_result" property="checkResult" />
        <result column="do_person" property="doPerson" />
        <result column="check_unit" property="checkUnit" />
        <result column="check_person" property="checkPerson" />
        <result column="check_time" property="checkTime" />
        <result column="userid" property="userid" />
        <result column="update_time" property="updateTime" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id,check_plan_id,epc,check_result,do_person,check_unit,check_person,check_time,userid,
        update_time
    </sql>
    <delete id="deleteByCheckPlanId">
        delete from check_verdict where check_plan_id = #{checkPlanId}
    </delete>


</mapper>
